// プロパティの型がString?やint?などのオプショナル型になっています。
// これらのプロパティが常に値を持つことが保証されている場合は、非オプショナル型を使用することで、不要なnullチェックを回避できます。
//
class AuthUser {
  AuthUser();

  //AuthUser.from({required this.id, required this.email, required this.is_rogaining, required this.group, required this.zekken_number, required this.event_code, required this.team_name});

  AuthUser.fromMap(Map<String, dynamic> map)
      : id = int.parse(map["id"].toString()),
        email = map["email"].toString(),
        is_rogaining = bool.parse(map["is_rogaining"].toString()),
        group = map["group"].toString(),
        zekken_number = map["zekken_number"].toString(),
        event_code = map["event_code"].toString(),
        team_name = map["team_name"].toString(),
        auth_token = map["token"];

  int? id;
  String? email;
  bool? is_rogaining;
  String? group;
  String? zekken_number;
  String? event_code;
  String? team_name;
  String? auth_token;
}
